Subject: Re: bug#21559: [PATCH] autorevert: Wait a while before calling vc-find-file-hook

From: Michael Albinus <[email-masked]>
Date: Wed, 28 Oct 2015 15:45:25 +0100

Ben Gamari <[email-masked]> writes:

> Hi Michael,

Hi Ben,

>> Have you considered another solution, maybe by providing vc(-git)
>> specific buffer-stale-function and revert-buffer? This would be much
>> more in the spirit how autorevert is supposed to work. And this would
>> simplify maintenance,
>
> Could you perhaps describe in a bit detail what the semantics of these
> functions would be? I'm not entirely sure I understand what you are
> proposing.

As starting point you might read about `revert-buffer-function' in 
(info "(elisp)Reverting") and about `buffer-stale-function' in
(info "(emacs)Supporting additional buffers")

See also in a dired buffer the values for both variables, and how the
functions work for dired.

>> when git changes its behaviour, and we need to adapt vc-git
>> accordingly.
>
> You are more optimistic than me on whether git will be fixed ;)

I have no special opinion about git. I just use it, without being impressed.

> Cheers,
> - Ben

Best regards, Michael.